[arch-commits] Commit in haskell-dbus/repos (3 files)

Felix Yan felixonmars at archlinux.org
Thu Mar 19 16:57:34 UTC 2020


    Date: Thursday, March 19, 2020 @ 16:57:33
  Author: felixonmars
Revision: 600946

archrelease: copy trunk to community-staging-x86_64

Added:
  haskell-dbus/repos/community-staging-x86_64/
  haskell-dbus/repos/community-staging-x86_64/PKGBUILD
    (from rev 600945, haskell-dbus/trunk/PKGBUILD)
  haskell-dbus/repos/community-staging-x86_64/xml-conduit-1.9.patch
    (from rev 600945, haskell-dbus/trunk/xml-conduit-1.9.patch)

-----------------------+
 PKGBUILD              |   53 +++++++++++++++++++++++++++++++++++++++
 xml-conduit-1.9.patch |   64 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 117 insertions(+)

Copied: haskell-dbus/repos/community-staging-x86_64/PKGBUILD (from rev 600945, haskell-dbus/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2020-03-19 16:57:33 UTC (rev 600946)
@@ -0,0 +1,53 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+_hkgname=dbus
+pkgname=haskell-dbus
+pkgver=1.2.7
+pkgrel=101
+pkgdesc="A client library for the D-Bus IPC system"
+url="https://john-millikin.com/software/haskell-dbus/"
+license=("GPL3")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-cereal' 'haskell-conduit' 'haskell-exceptions' 'haskell-lens'
+         'haskell-network' 'haskell-random' 'haskell-split' 'haskell-th-lift'
+         'haskell-vector' 'haskell-xml-conduit' 'haskell-xml-types')
+makedepends=('ghc' 'haskell-extra' 'haskell-quickcheck' 'haskell-resourcet' 'haskell-tasty'
+             'haskell-tasty-hunit' 'haskell-tasty-quickcheck')
+source=("https://hackage.haskell.org/packages/archive/${_hkgname}/${pkgver}/${_hkgname}-${pkgver}.tar.gz"
+        xml-conduit-1.9.patch)
+sha512sums=('07ab78ae93b0249f7f2da0af59b5f958daa1b140287eab21962eb8ed53bc608dbd0d906d91a6a7e1bc8a9a82a2ad8e294b540ab0a6c3e01337fbb151a2211ca3'
+            '0c29f5b6519b0122273ce1bf64b8af06c226063a11af375d6b0d8529d6da20f784c919cae1d31afe8bb31e32544fd4829d621bb2e146b604793f5fb14a78e99f')
+
+prepare() {
+    cd $_hkgname-$pkgver
+    patch -p1 -i ../xml-conduit-1.9.patch || :
+    sed -i -e 's/< *4/<5/' -e 's/< *2/<3/' -e 's/< *1/<2/' $_hkgname.cabal
+}
+
+build() {
+    cd $_hkgname-$pkgver
+    
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir=/usr/share/doc/$pkgname --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid
+    runhaskell Setup build
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd $_hkgname-$pkgver
+    runhaskell Setup test
+}
+
+package() {
+    cd $_hkgname-$pkgver
+    
+    install -D -m744 register.sh "$pkgdir"/usr/share/haskell/register/$pkgname.sh
+    install -D -m744 unregister.sh "$pkgdir"/usr/share/haskell/unregister/$pkgname.sh
+    runhaskell Setup copy --destdir="$pkgdir"
+    rm -f "${pkgdir}/usr/share/doc/${pkgname}/license.txt"
+}

Copied: haskell-dbus/repos/community-staging-x86_64/xml-conduit-1.9.patch (from rev 600945, haskell-dbus/trunk/xml-conduit-1.9.patch)
===================================================================
--- community-staging-x86_64/xml-conduit-1.9.patch	                        (rev 0)
+++ community-staging-x86_64/xml-conduit-1.9.patch	2020-03-19 16:57:33 UTC (rev 600946)
@@ -0,0 +1,64 @@
+From b6148e0c540c17a75a41c0da2fb0c19c26330b30 Mon Sep 17 00:00:00 2001
+From: Andrey Sverdlichenko <blaze at rusty.zone>
+Date: Fri, 31 May 2019 20:14:25 -0400
+Subject: [PATCH] Build with xml-conduit-1.9.0.0
+
+---
+ dbus.cabal                      |  8 ++++----
+ lib/DBus/Introspection/Parse.hs | 14 +++++++-------
+ lib/DBus/Transport.hs           |  2 +-
+ 3 files changed, 12 insertions(+), 12 deletions(-)
+
+diff --git a/lib/DBus/Introspection/Parse.hs b/lib/DBus/Introspection/Parse.hs
+index d50bb36..6ae0c25 100644
+--- a/lib/DBus/Introspection/Parse.hs
++++ b/lib/DBus/Introspection/Parse.hs
+@@ -24,7 +24,7 @@ data InterfaceChildren
+ 
+ parseXML :: ObjectPath -> T.Text -> Maybe Object
+ parseXML path xml =
+-    runConduit $ yieldMany [xml] .| X.parseText' X.def .| X.force "parse error" (parseObject $ getRootName path)
++    runConduit $ yieldMany [xml] .| X.parseText X.def .| X.force "parse error" (parseObject $ getRootName path)
+ 
+ getRootName :: ObjectPath -> X.AttrParser ObjectPath
+ getRootName defaultPath = do
+@@ -64,13 +64,13 @@ parseInterface = X.tag' "interface" getName parseContent
+         pure $ interfaceName_ (T.unpack ifName)
+     parseContent ifName = do
+         elems <- X.many $ do
+-            X.many_ $ X.ignoreTreeContent "annotation"
++            X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+             X.choose
+                 [ parseMethod
+                 , parseSignal
+                 , parseProperty
+                 ]
+-        X.many_ $ X.ignoreTreeContent "annotation"
++        X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+         let base = Interface ifName [] [] []
+             addElem e (Interface n ms ss ps) = case e of
+                 MethodDefinition m -> Interface n (m:ms) ss ps
+@@ -86,9 +86,9 @@ parseMethod = X.tag' "method" getName parseArgs
+         parseMemberName (T.unpack ifName)
+     parseArgs name = do
+         args <- X.many $ do
+-            X.many_ $ X.ignoreTreeContent "annotation"
++            X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+             X.tag' "arg" getArg pure
+-        X.many_ $ X.ignoreTreeContent "annotation"
++        X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+         pure $ MethodDefinition $ Method name args
+     getArg = do
+         name <- fromMaybe "" <$> X.attr "name"
+@@ -107,9 +107,9 @@ parseSignal = X.tag' "signal" getName parseArgs
+         parseMemberName (T.unpack ifName)
+     parseArgs name = do
+         args <- X.many $ do
+-            X.many_ $ X.ignoreTreeContent "annotation"
++            X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+             X.tag' "arg" getArg pure
+-        X.many_ $ X.ignoreTreeContent "annotation"
++        X.many_ $ X.ignoreTreeContent "annotation" X.ignoreAttrs
+         pure $ SignalDefinition $ Signal name args
+     getArg = do
+         name <- fromMaybe "" <$> X.attr "name"



More information about the arch-commits mailing list